import constants

# The host and port where the tested ap shoud listen.
HOST = '127.0.0.1'
PORT = 8080

# The host alias set in the /etc/hosts file.
# The actual tests will navigate selenium browser to this host.
# This is necessary because some providers don't support localhost as the
# callback url.
HOST_ALIAS = 'authomatic.com'

# Only providers included here will be tested.
# This is a convenience to easily exclude providers from tests by commenting
# them out.
INCLUDE_PROVIDERS = [
    'bitly',
    'deviantart',
    'facebook',
    'google',
]

# Use these constants if you have the same user info by all tested providers.
PASSWORD = '1Kokotina'
EMAIL = 'peterhudec@peterhudec.com'
FIRST_NAME = 'Peter'
LAST_NAME = 'Hudec'
NAME = FIRST_NAME + ' ' + LAST_NAME
USERNAME = 'peterhudec'
USERNAME_REVERSE = 'hudecpeter'
NICKNAME = 'hudo'
BIRTH_YEAR = '1979'
CITY = 'Bratislava'
COUNTRY = 'Slovakia'
POSTAL_CODE = '82107'
PHONE = '0903972845'
GENDER = constants.GENDER_MALE
LOCALE = 'en_US'

# Common values for all providers
COMMON = {
    # Could be same if the user sets it so
    'user_login': EMAIL,
    'user_password': PASSWORD,
    'user_email': EMAIL,
    'user_first_name': FIRST_NAME,
    'user_last_name': LAST_NAME,
    'user_name': NAME,
    'user_username': USERNAME,
    'user_username_reverse': USERNAME_REVERSE,
    'user_nickname': NICKNAME,
    'user_birth_year': BIRTH_YEAR,
    'user_city': CITY,
    'user_country': COUNTRY,
    'user_gender': GENDER,
    'user_phone': PHONE,
    'user_postal_code': POSTAL_CODE,
    'user_locale': LOCALE,

    # Provider and user specific value
    # 'user_id': '',
    # 'user_locale': None,
    # 'user_timezone': None,

    # Provider specific format
    # 'user_picture': '',
    # 'user_link': '',

    # Provider specific value
    # 'consumer_key': '',
    # 'consumer_secret': '',
}

# Values from COMMON will be overriden by values from PROVIDERS[provider_name]
# if set.
PROVIDERS = {
    'bitly': {
        'consumer_key': 'd4afbd49a8abfbbf288730725dd9609dbb167320',
        'consumer_secret': 'cd30cb160445410d2825aed974ae5fdb15a3db9b',
        'user_id': 'o_a1o5pegh9',
    },
    'deviantart': {
        'consumer_key': '376',
        'consumer_secret': 'd56ec842a9558fe9916210b376988c2d',
    },
    'facebook': {
        'consumer_key': '482771598445314',
        'consumer_secret': '7163e6e8dedc2c055445b553823ec910',
        'user_id': '737583375',
        'user_password': 'kokotina',
        # This changes when switching from and to Daylight Saving Time
        'user_timezone': '2',
    },
    'google': {
        'consumer_key': '75167970188.apps.googleusercontent.com',
        'consumer_secret': 'Y70ZmvlkMKOTB8kKGBgN_BME',
        'user_id': '117034840853387702598',
        'user_password': 'google19pitelova79',
        'user_email': 'peterhudec.com@gmail.com',
        'user_locale': 'en',
        'user_picture': ('https://lh5.googleusercontent.com/-LbPepOoFAfA/'
                         'AAAAAAAAAAI/AAAAAAAAAHQ/AZSNSbLPZhg/photo.jpg?sz=50'),
    },
}
